' asm - benedikt GLCD 320x240 textausgabe
'
'  Umsetzung by Dirk Milewski (c) 5/2008
'        www.comwebnet.de
'------------------------------------
' Mega 8 - 16MHz
'------------------------------------
' Bascom 1.11.9.0
'------------------------------------
' Version 0.1
'------------------------------------

'$sim

$regfile "m8def.dat"                                        'mein Controller
$crystal = 16000000                                         'mein Crystall

$hwstack = 128                                              ' default use 32 for the hardware stack

$swstack = 10                                               ' default use 10 for the SW stack

$framesize = 128


'$baud = 19200


'------- was so gebraucht wird -----------------------------------------------


Config Portc = !output
Config Portb = !output


D3 Alias Portc.0
D2 Alias Portc.1
D1 Alias Portc.2
D0 Alias Portc.3
Pclk Alias Portb.0
Lo Alias Portb.2
Fra Alias Portb.3
Onof Alias Portb.5


                                         '
Declare Sub Loschen
Declare Sub Pixel
Declare Sub Kursor
'Declare Sub Displayprint(byval Y As Byte , Byval X As Byte )
 Dim Y As Byte
 Dim Yy As Byte
 Dim Y1 As Byte
 Dim X As Byte
 Dim B As Byte
 Dim C As Byte
 Dim A As Byte
 Dim Anfang As Byte
 Dim Bb As Byte
 Dim Az As Byte
 Dim Count As Byte
 Dim F As Bit
 Dim Ar(80) As Byte
 Dim Takt As Byte
 Dim Zeilencounter As Byte
 Dim T As Byte
 Dim Aa As Byte
 Dim Adr_ddram As Word
 Dim Sp As Integer
 Dim Sp_low As Byte
 Dim Sp_high As Byte
 Dim Adr_low As Byte
 Dim Adr_high As Byte
 Dim Zeichen_sp As Word
 Dim Zeichenlow As Byte
 Dim Zeichenhigh As Byte

' Dim Zei As String * 40 At &H200
' Zei = "hallo dirk"

Config Timer2 = Timer , Prescale = 8
On Timer2 Timer_irq Nosave
Const Timervorgabe = 131                                    '16 Khz


Const Onoff = 5
Const Pwm = 1
Const Lp = 2
Const Framepin = 3
Const M = 4
Const Clock = 0

Const Framerate = 65
Const F_cpu = 16000000
Const Hfreq = Framerate * 240
Const Tdiv =((f_cpu / 8 +(hfreq) / 2) / Hfreq)
Const Csize = 12
Const Xsize = 40
Const Ysize = 240 / Csize
Const Xysize = Xsize * Ysize
'******************************************
' Adresse von ddram ermitteln
'******************************************
Adr_ddram = Loadlabel(ddram)
Adr_low = Low(adr_ddram)
Adr_high = High(adr_ddram)

'******************************************
'  dein text ab Adresse
'*****************************************
'Adr_low = Low(&H200)
'Adr_high = High(&H200)


'Sp = Xysize + Adr_ddram
Sp = Xysize + Adr_ddram

Sp_low = Low(sp)
Sp_high = High(sp)

Enable Timer0
Enable Interrupts

'Print "ysize=" ; Ysize ; " X*y=" ; Xysize ; " adr_ddram=" ; Hex(adr_ddram) ; " Speicher=" ; Hex(sp)       'Print "sp_low=" ; Hex(sp_low) ; " sp_high=" ; Hex(sp_high) 'Print "Zeichenspeicher-ADR:" ; Hex(zeichen_sp) ; " LOW ADR:" ; Hex(zeichenlow) ; " HIGH ADR: " ; Hex(zeichenhigh)



$asm
 'init

.def Regsave = R2
.def Clockl = R3
.def Clockh = R4
.def X_cnt = R5
.def Tempi = R16
.def Lop = R17
.def Y_cnt = R18
.def C_cnt = R19

.def Temp = R20
.def Temp2 = R21








     ' ser temp

      clr temp

      clr temp2
      ldi temp,32

      ldi yl,low(ddram)
      ldi yh,high(ddram)

Clrloop:
      st y+,temp
      inc temp
      ldi temp2,{sp_high}
      cpi YL,{sp_low}
      cpc yh,temp2
      brne CLRLOOP
      'ldi XL,{adr_low}
       ldi xl,low(ddram)
      'ldi XH,{adr_high}
      ldi xh, high(ddram)

       'Loadadr Ddram , X
      sei
      sbi portb, onoff

$end Asm



Do
'Print "*";
 'Incr T
 'print t

Loop
End

                                            'end program
'#############################################
'              .org Oc2addr
'#############################################

Timer_irq:
Timer0 = Timervorgabe
'Print "."

$asm

         in regsave,sreg
         ldi tempi,xsize
         mov X_cnt,tempi
         in tempi,portb


         cbr tempi,&b00000001
         mov clockl,tempi

         sbr tempi,&b00000001
         mov clockh,tempi

Hloop:
         !out Portb , clockl
         ld zl,x+
         lpm tempi,Z
         !out Portb , clockh
         !out portc,tempi
         !out portb,clockl
         !Swap tempi
         !out Portc , tempi
         !out portb, clockh
         dec X_Cnt
         brne HLOOP

         !out portb,r3
         sbi portb,LP
         dec C_Cnt
         nop
         nop
         cbi portb,LP
         cbi portb,FRAMEpin
         breq skipcloop

         inc zh
         sbiw xl,XSize
         rjmp exit_int

Skipcloop:
         ldi zh,4
         ldi C_Cnt,CSize
         inc Y_Cnt
         cpi Y_Cnt,YSize
         brne exit_int

         sbis portb,M
         sbi portb,M
         sbic pinb,M
         cbi portb,M
         sbi portb,FRAMEpin
         clr Y_Cnt

         ldi xl,low(ddram)
         ldi xh,high(ddram)

Exit_int:
         !out sreg,regsave
         'reti

' INIT






$end Asm

Return

End



Ddram:
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &H1F
Data &H00 , &H00 , &H00 , &H00 , &H03 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &H3F
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H01 , &H00 ; &H5F
Data &H03 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &H7F
Data &H00 , &H00 , &HC0 , &H03 , &H00 , &H0C , &H83 , &H00 , &H03 , &H00 , &H0C , &H00 , &H01 , &H06 , &H00 , &H87 , &HC0 , &H00 , &H00 , &H03 , &H00 , &H0C , &H03 , &H0C , &H00 , &H00 , &HCC , &H00 , &HC3 , &H00 , &H00 , &HE0 ; &H9F
Data &HC0 , &HC0 , &HC0 , &HC0 , &H00 , &H67 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H42 , &H55 , &HD6 , &H81 , &H81 , &HC0 , &H87 , &H06 , &H00 , &H66 , &H66 , &H00 , &H66 , &H00 , &HCC , &H00 ; &HBF
Data &H81 , &H81 , &H00 , &H81 , &H00 , &H81 , &H00 , &H67 , &H66 , &H00 , &H66 , &H00 , &H66 , &H00 , &H66 , &H00 , &HCC , &H00 , &H87 , &H00 , &H06 , &H00 , &H81 , &H87 , &H00 , &H81 , &H00 , &HFF , &H00 , &H00 , &H06 , &HFF ; &HDF
Data &H81 , &H00 , &H87 , &H06 , &H00 , &H67 , &H00 , &H00 , &H00 , &H81 , &H87 , &H06 , &H60 , &H81 , &H00 , &HC0 , &H00 , &H00 , &H00 , &H0E , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &HFF

Data &H00 , &HE7 , &HE7 , &H00 , &H01 , &H81 , &H81 , &H00 , &H00 , &H00 , &H00 , &HE3 , &HC3 , &H00 , &HF7 , &H00 , &H08 , &H20 , &H81 , &H66 , &HF7 , &HE7 , &H00 , &H81 , &H81 , &H81 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &H1F
Data &H00 , &H03 , &H66 , &HC6 , &H03 , &H00 , &H07 , &H03 , &HC0 , &H06 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &HC7 , &H01 , &H87 , &H87 , &HC0 , &HCF , &H83 , &HEF , &H87 , &H87 , &H00 , &H00 , &HC0 , &H00 , &H06 , &H87 ; &H3F
Data &HC7 , &H03 , &HCF , &HC3 , &H8F , &HEF , &HEF , &HC3 , &HCC , &H87 , &HE1 , &H6E , &H0F , &H6C , &H6C , &H83 , &HCF , &H83 , &HCF , &H87 , &HCF , &HCC , &HCC , &H6C , &HCC , &HCC , &HEF , &HC3 , &H00 , &HC3 , &H83 , &H00 ; &H5F
Data &H03 , &H00 , &H0E , &H00 , &HC1 , &H00 , &H83 , &H00 , &H0E , &H81 , &HC0 , &H0E , &H87 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &HC1 , &H81 , &H0E , &H37 , &H00 ; &H7F
Data &H87 , &HCC , &H81 , &H87 , &HCC , &H06 , &HC6 , &H00 , &H87 , &HCC , &H06 , &HC6 , &H83 , &H03 , &HCC , &HCC , &H81 , &H00 , &HE3 , &H87 , &HCC , &H06 , &H87 , &H06 , &H66 , &HCC , &H00 , &H00 , &H66 , &HA3 , &H00 , &HB1 ; &H9F
Data &H81 , &H81 , &H81 , &H81 , &H67 , &HCD , &H87 , &H87 , &H03 , &H83 , &H00 , &H26 , &H36 , &H03 , &H00 , &H00 , &H29 , &HAA , &HBD , &H81 , &H81 , &H81 , &HCC , &H03 , &H83 , &H66 , &H66 , &H00 , &H66 , &H03 , &HCC , &H00 ; &HBF
Data &H81 , &H81 , &H00 , &H81 , &H00 , &H81 , &H67 , &HCD , &H66 , &H00 , &H66 , &H00 , &H66 , &H00 , &H66 , &H00 , &H03 , &H8F , &HCC , &HCC , &H03 , &H0F , &H03 , &HCC , &HCC , &H81 , &H00 , &HFF , &H00 , &H81 , &H03 , &HFF ; &HDF
Data &H03 , &H87 , &HCC , &H03 , &H67 , &HCD , &H00 , &H00 , &H0F , &H03 , &HCC , &H03 , &HC0 , &H03 , &HCF , &H81 , &H00 , &H00 , &H00 , &H33 , &HF7 , &HE7 , &H00 , &H00 , &HC3 , &HCC , &H00 , &H03 , &H87 , &H87 , &H00 , &H00 ; &HFF

Data &H00 , &H3C , &HFF , &H44 , &H83 , &HC3 , &HC3 , &H00 , &H00 , &H00 , &H00 , &HE0 , &H66 , &H00 , &H36 , &H81 , &H0C , &H60 , &HC3 , &H66 , &HBD , &H36 , &H00 , &HC3 , &HC3 , &H81 , &H00 , &H00 , &H00 , &H00 , &H01 , &HEF ; &H1F
Data &H00 , &H87 , &H66 , &HC6 , &HC7 , &H00 , &H8D , &H03 , &H81 , &H03 , &H00 , &H00 , &H00 , &H00 , &H00 , &H20 , &H6C , &H03 , &HCC , &HCC , &HC1 , &H0C , &H06 , &H6C , &HCC , &HCC , &H00 , &H00 , &H81 , &H00 , &H03 , &HCC ; &H3F
Data &H6C , &H87 , &H66 , &H66 , &HC6 , &H26 , &H66 , &H66 , &HCC , &H03 , &HC0 , &H66 , &H06 , &HEE , &H6C , &HC6 , &H66 , &HC6 , &H66 , &HCC , &H4B , &HCC , &HCC , &H6C , &HCC , &HCC , &HEC , &H03 , &H08 , &HC0 , &HC6 , &H00 ; &H5F
Data &H81 , &H00 , &H06 , &H00 , &HC0 , &H00 , &HC6 , &H00 , &H06 , &H81 , &HC0 , &H06 , &H81 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H02 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H03 , &H81 , &H03 , &HAD , &H00 ; &H7F
Data &HCC , &HCC , &H03 , &HCC , &HCC , &H03 , &HC6 , &H00 , &HCC , &HCC , &H03 , &HC6 , &HC6 , &H81 , &H00 , &HCC , &H00 , &H00 , &H87 , &HCC , &HCC , &H03 , &HCC , &H03 , &H66 , &H00 , &HCC , &H00 , &H06 , &HC6 , &H00 , &H81 ; &H9F
Data &H03 , &H03 , &H03 , &H03 , &HCD , &H00 , &HCC , &HCC , &H03 , &H44 , &H00 , &H6E , &H6E , &H03 , &H00 , &H00 , &H94 , &H55 , &H6B , &H81 , &H81 , &H00 , &H00 , &H00 , &H44 , &H66 , &H66 , &H00 , &H66 , &H03 , &HCC , &H00 ; &HBF
Data &H81 , &H81 , &H00 , &H81 , &H00 , &H81 , &HCD , &H00 , &H66 , &H00 , &H66 , &H00 , &H66 , &H00 , &H66 , &H00 , &H8D , &HC6 , &H00 , &H00 , &H00 , &H03 , &H00 , &H00 , &H00 , &H81 , &H00 , &HFF , &H00 , &H81 , &H00 , &HFF ; &HDF
Data &H00 , &HCC , &H00 , &H00 , &HCD , &H00 , &H00 , &H0E , &H06 , &H00 , &H00 , &H00 , &H81 , &H00 , &H00 , &H03 , &H00 , &H03 , &H00 , &H66 , &HBD , &H36 , &H03 , &H00 , &H66 , &H00 , &H00 , &H07 , &HC0 , &HC0 , &H00 , &H00 ; &HFF

Data &H00 , &H18 , &HFF , &HEE , &HC7 , &HC3 , &HE7 , &H00 , &H00 , &H00 , &H00 , &HA3 , &H66 , &H00 , &HF7 , &HBD , &H0E , &HE0 , &HE7 , &H66 , &HBD , &H03 , &H00 , &HE7 , &HE7 , &H81 , &H81 , &H03 , &H00 , &H42 , &H01 , &HEF ; &H1F
Data &H00 , &H87 , &H66 , &HEF , &H0C , &H4C , &H8D , &H03 , &H03 , &H81 , &H66 , &H81 , &H00 , &H00 , &H00 , &H60 , &HEC , &H0F , &HCC , &HC0 , &HC3 , &H0C , &H0C , &H6C , &HCC , &HCC , &H83 , &H83 , &H03 , &H00 , &H81 , &HC0 ; &H3F
Data &H6C , &HCC , &H66 , &H6C , &H66 , &H06 , &H26 , &H6C , &HCC , &H03 , &HC0 , &HC6 , &H06 , &HEF , &H6E , &H6C , &H66 , &H6C , &H66 , &HCC , &H03 , &HCC , &HCC , &H6C , &HCC , &HCC , &H89 , &H03 , &H0C , &HC0 , &H6C , &H00 ; &H5F
Data &H00 , &H00 , &H06 , &H00 , &HC0 , &H00 , &H06 , &H00 , &H06 , &H00 , &H00 , &H06 , &H81 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H06 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H03 , &H81 , &H03 , &HEC , &H01 ; &H7F
Data &HCC , &H00 , &H00 , &H00 , &H00 , &H00 , &H83 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H03 , &H87 , &HCF , &H00 , &H8D , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H87 , &HCC , &H00 , &H06 , &HEC , &H00 , &H81 ; &H9F
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H6C , &HCC , &HCC , &H00 , &HAB , &H00 , &HC6 , &HC6 , &H00 , &H00 , &H00 , &H42 , &HAA , &HD6 , &H81 , &H81 , &H03 , &H03 , &H03 , &HAB , &H66 , &H66 , &H00 , &H66 , &H87 , &HCC , &H00 ; &HBF
Data &H81 , &H81 , &H00 , &H81 , &H00 , &H81 , &H00 , &H03 , &H66 , &H00 , &H66 , &H00 , &H66 , &H00 , &H66 , &H00 , &HC0 , &H66 , &HCF , &HCF , &HCF , &H03 , &H87 , &H87 , &H87 , &H81 , &H00 , &HFF , &H00 , &H81 , &H87 , &HFF ; &HDF
Data &H87 , &HCC , &H87 , &H87 , &H00 , &H87 , &H00 , &H06 , &HC7 , &HCC , &HCC , &HCC , &H00 , &HCC , &H00 , &H00 , &H00 , &H03 , &H00 , &HC3 , &HBD , &H03 , &H03 , &H00 , &H66 , &H00 , &H00 , &H03 , &H83 , &H81 , &HCF , &H00 ; &HFF

Data &H00 , &H5A , &HBD , &HEF , &HEF , &HFF , &HFF , &H00 , &H00 , &H00 , &H00 , &H27 , &H66 , &H00 , &H36 , &HE7 , &H8F , &HE3 , &H81 , &H66 , &HBD , &HC3 , &H00 , &H81 , &H81 , &H81 , &HC0 , &H06 , &H0C , &H66 , &H83 , &HC7 ; &H1F
Data &H00 , &H87 , &H42 , &HC6 , &H0C , &HCC , &H07 , &H06 , &H06 , &HC0 , &HC3 , &H81 , &H00 , &H00 , &H00 , &HC0 , &HED , &H03 , &HC0 , &HC0 , &HC6 , &H0C , &H0C , &H60 , &HCC , &HCC , &H83 , &H83 , &H06 , &HE7 , &HC0 , &H81 ; &H3F
Data &HED , &HCC , &H66 , &H0C , &H66 , &H46 , &H46 , &H0C , &HCC , &H03 , &HC0 , &HC6 , &H06 , &HEF , &H6F , &H6C , &H66 , &H6C , &H66 , &H0C , &H03 , &HCC , &HCC , &H6C , &H87 , &HCC , &H81 , &H03 , &H06 , &HC0 , &H00 , &H00 ; &H5F
Data &H00 , &H87 , &HC7 , &H87 , &HC7 , &H87 , &H06 , &H67 , &HC6 , &H87 , &HC3 , &H66 , &H81 , &HCF , &H8F , &H87 , &HCD , &H67 , &HCE , &H87 , &HCF , &HCC , &HCC , &H6C , &H6C , &H66 , &HCF , &H06 , &H81 , &H81 , &H00 , &H83 ; &H7F
Data &H0C , &HCC , &H87 , &H87 , &H87 , &H87 , &H8F , &H87 , &H87 , &H87 , &H87 , &H87 , &H87 , &H87 , &H87 , &H87 , &H4C , &HEF , &H8D , &H87 , &H87 , &H87 , &HCC , &HCC , &H66 , &HCC , &HCC , &H87 , &H06 , &H6D , &H00 , &HE7 ; &H9F
Data &H87 , &H87 , &H87 , &HCC , &H8F , &H6E , &HE7 , &H87 , &H03 , &HAA , &H00 , &H87 , &H87 , &H03 , &H33 , &HCC , &H29 , &H55 , &HBD , &H81 , &H81 , &H87 , &H87 , &H87 , &H2A , &H6E , &H66 , &HEF , &H6E , &HCC , &H87 , &H00 ; &HBF
Data &H81 , &H81 , &H00 , &H81 , &H00 , &H81 , &H87 , &H87 , &H76 , &HF7 , &H7E , &HFF , &H76 , &HFF , &H7E , &H00 , &H60 , &H66 , &H4C , &H4C , &H4C , &H03 , &H03 , &H03 , &H03 , &H81 , &H00 , &HFF , &H00 , &H81 , &H03 , &HFF ; &HDF
Data &HCC , &H8D , &HCC , &HCC , &H87 , &HCC , &H66 , &HC7 , &H66 , &HCC , &HCC , &HCC , &H66 , &HCC , &H00 , &H00 , &H00 , &HCF , &H00 , &H8F , &HBD , &HC3 , &H00 , &H00 , &H66 , &H00 , &H00 , &H03 , &HC0 , &H03 , &HCF , &H00 ; &HFF

Data &H00 , &H18 , &HFF , &HEF , &HEF , &H7E , &HFF , &H00 , &H00 , &H00 , &H00 , &H8F , &HC3 , &H00 , &H36 , &H7E , &HEF , &HEF , &H81 , &H66 , &HB7 , &H66 , &H00 , &H81 , &H81 , &H81 , &HEF , &HEF , &H0C , &HFF , &H83 , &HC7 ; &H1F
Data &H00 , &H03 , &H00 , &HC6 , &H87 , &H81 , &HAF , &H00 , &H06 , &HC0 , &HFF , &HE7 , &H00 , &HEF , &H00 , &H81 , &H6D , &H03 , &H81 , &H83 , &HCC , &H8F , &H8F , &HC0 , &H87 , &HC7 , &H00 , &H00 , &H0C , &H00 , &H60 , &H03 ; &H3F
Data &HED , &HCC , &HC7 , &H0C , &H66 , &HC7 , &HC7 , &H0C , &HCF , &H03 , &HC0 , &H87 , &H06 , &H6D , &HEF , &H6C , &HC7 , &H6C , &HC7 , &H07 , &H03 , &HCC , &HCC , &H6D , &H03 , &H87 , &H03 , &H03 , &H03 , &HC0 , &H00 , &H00 ; &H5F
Data &H00 , &HC0 , &H66 , &HCC , &HCC , &HCC , &H8F , &HCC , &H67 , &H81 , &HC0 , &HC6 , &H81 , &H6D , &HCC , &HCC , &H66 , &HCC , &HE6 , &HCC , &H06 , &HCC , &HCC , &H6C , &HC6 , &H66 , &HC8 , &H0C , &H00 , &HC0 , &H00 , &HC6 ; &H7F
Data &H0C , &HCC , &HCC , &HC0 , &HC0 , &HC0 , &HC0 , &HCC , &HCC , &HCC , &HCC , &H81 , &H81 , &H81 , &HCC , &HCC , &H0C , &HB1 , &HEF , &HCC , &HCC , &HCC , &HCC , &HCC , &H66 , &HCC , &HCC , &HCC , &HCF , &H6D , &H6C , &H81 ; &H9F
Data &HC0 , &H81 , &HCC , &HCC , &HCC , &H6F , &H00 , &H00 , &H06 , &HAB , &HCF , &H03 , &H73 , &H03 , &H66 , &H66 , &H94 , &HAA , &H6B , &H81 , &H8F , &HCC , &HCC , &HCC , &H2A , &H60 , &H66 , &H60 , &H60 , &H0C , &HCF , &H8F ; &HBF
Data &HF1 , &HFF , &HFF , &HF1 , &HFF , &HFF , &HC0 , &HCC , &H06 , &H06 , &H00 , &H00 , &H06 , &H00 , &H00 , &H6C , &HE7 , &H6F , &H0C , &H0C , &H0C , &HCF , &H03 , &H03 , &H03 , &H8F , &HF1 , &HFF , &H00 , &H00 , &H03 , &HFF ; &HDF
Data &HCC , &HCC , &HCC , &HCC , &HCC , &HCC , &H66 , &H66 , &H66 , &HCC , &HCC , &HCC , &H66 , &HCC , &H00 , &H00 , &HCF , &H03 , &H8F , &H73 , &HB7 , &H66 , &HCF , &H00 , &HC3 , &H00 , &H81 , &H87 , &H87 , &HC7 , &HCF , &H00 ; &HFF

Data &H00 , &HDB , &H3C , &HEF , &HC7 , &H7E , &HE7 , &H00 , &H00 , &H00 , &H00 , &HCC , &H81 , &H00 , &H36 , &H7E , &H8F , &HE3 , &H81 , &H00 , &HB1 , &H66 , &H00 , &H81 , &H81 , &H81 , &HC0 , &H06 , &H0C , &H66 , &HC7 , &H83 ; &H1F
Data &H00 , &H03 , &H00 , &HC6 , &HC0 , &H03 , &HED , &H00 , &H06 , &HC0 , &HC3 , &H81 , &H00 , &H00 , &H00 , &H03 , &H6F , &H03 , &H03 , &HC0 , &HEF , &HC0 , &HCC , &H81 , &HCC , &H81 , &H00 , &H00 , &H06 , &HE7 , &HC0 , &H03 ; &H3F
Data &HED , &HCF , &H66 , &H0C , &H66 , &H46 , &H46 , &HEC , &HCC , &H03 , &HCC , &HC6 , &H26 , &H6C , &HED , &H6C , &H06 , &HEC , &HC6 , &H81 , &H03 , &HCC , &HCC , &H6D , &H87 , &H03 , &H06 , &H03 , &H81 , &HC0 , &H00 , &H00 ; &H5F
Data &H00 , &HC7 , &H66 , &H0C , &HCC , &HCF , &H06 , &HCC , &H66 , &H81 , &HC0 , &H87 , &H81 , &H6D , &HCC , &HCC , &H66 , &HCC , &H67 , &H06 , &H06 , &HCC , &HCC , &H6D , &H83 , &H66 , &H81 , &H06 , &H81 , &H81 , &H00 , &H6C ; &H7F
Data &H0C , &HCC , &HCF , &HC7 , &HC7 , &HC7 , &HC7 , &H0C , &HCF , &HCF , &HCF , &H81 , &H81 , &H81 , &HCC , &HCC , &H8F , &HF7 , &H8D , &HCC , &HCC , &HCC , &HCC , &HCC , &H66 , &HCC , &HCC , &HCD , &H06 , &H6D , &HC6 , &H81 ; &H9F
Data &HC7 , &H81 , &HCC , &HCC , &HCC , &HED , &HEF , &HEF , &H0C , &H2B , &HC0 , &HE6 , &HF6 , &H87 , &HCC , &H33 , &H42 , &H55 , &HD6 , &H81 , &H81 , &HCC , &HCC , &HCC , &H2A , &H60 , &H66 , &H60 , &H60 , &H0C , &H03 , &H81 ; &HBF
Data &H00 , &H00 , &H81 , &H81 , &H00 , &H81 , &HC7 , &HCC , &H06 , &H06 , &H00 , &H00 , &H06 , &H00 , &H00 , &HC7 , &H6C , &H66 , &H8F , &H8F , &H8F , &H00 , &H03 , &H03 , &H03 , &H00 , &H81 , &HFF , &HFF , &H81 , &H03 , &H00 ; &HDF
Data &HCC , &HCC , &HCC , &HCC , &HCC , &HCC , &H66 , &H66 , &H66 , &HCC , &HCC , &HCC , &H66 , &H87 , &H00 , &H00 , &H00 , &H03 , &H00 , &HF6 , &HB1 , &H66 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &HCF , &H00 ; &HFF

Data &H00 , &H99 , &H7E , &HC7 , &H83 , &H81 , &H81 , &H00 , &H00 , &H00 , &H00 , &HCC , &HE7 , &H00 , &H76 , &HE7 , &H0E , &HE0 , &HE7 , &H00 , &HB1 , &HC3 , &HEF , &HE7 , &H81 , &HE7 , &H81 , &H03 , &HEF , &H42 , &HC7 , &H83 ; &H1F
Data &H00 , &H00 , &H00 , &HEF , &HC0 , &H06 , &HCC , &H00 , &H03 , &H81 , &H66 , &H81 , &H00 , &H00 , &H00 , &H06 , &H6E , &H03 , &H06 , &HC0 , &HC0 , &HC0 , &HCC , &H03 , &HCC , &H81 , &H83 , &H83 , &H03 , &H00 , &H81 , &H00 ; &H3F
Data &H0C , &HCC , &H66 , &H6C , &H66 , &H06 , &H06 , &H6C , &HCC , &H03 , &HCC , &HC6 , &H66 , &H6C , &HEC , &H6C , &H06 , &HED , &H66 , &HCC , &H03 , &HCC , &HCC , &HC6 , &HCC , &H03 , &H26 , &H03 , &HC0 , &HC0 , &H00 , &H00 ; &H5F
Data &H00 , &HCC , &H66 , &H0C , &HCC , &H0C , &H06 , &HCC , &H66 , &H81 , &HC0 , &HC6 , &H81 , &H6D , &HCC , &HCC , &H66 , &HCC , &H06 , &H81 , &H06 , &HCC , &HCC , &H6D , &H83 , &H66 , &H06 , &H03 , &H81 , &H03 , &H00 , &H6C ; &H7F
Data &HCC , &HCC , &H0C , &HCC , &HCC , &HCC , &HCC , &H0C , &H0C , &H0C , &H0C , &H81 , &H81 , &H81 , &HCF , &HCF , &H0C , &H8D , &H8D , &HCC , &HCC , &HCC , &HCC , &HCC , &H66 , &HCC , &HCC , &HCE , &H06 , &H6E , &H83 , &H81 ; &H9F
Data &HCC , &H81 , &HCC , &HCC , &HCC , &HEC , &H00 , &H00 , &H0C , &HAA , &HC0 , &H3C , &HBD , &H87 , &HCC , &H33 , &H29 , &HAA , &HBD , &H81 , &H81 , &HCF , &HCF , &HCF , &HAB , &H6E , &H66 , &H6E , &HEF , &HCC , &HCF , &H81 ; &HBF
Data &H00 , &H00 , &H81 , &H81 , &H00 , &H81 , &HCC , &HCF , &HF7 , &H76 , &HFF , &H7E , &H76 , &HFF , &H7E , &HC6 , &H6C , &H66 , &H0C , &H0C , &H0C , &H00 , &H03 , &H03 , &H03 , &H00 , &H81 , &HFF , &HFF , &H81 , &H03 , &H00 ; &HDF
Data &HCC , &HCC , &HCC , &HCC , &HCC , &HCC , &H66 , &HC7 , &HC7 , &HCC , &HCC , &HCC , &H66 , &H03 , &H00 , &H00 , &H00 , &H00 , &H00 , &HBD , &HB1 , &HC3 , &H03 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &HCF , &H00 ; &HFF

Data &H00 , &H3C , &HFF , &H83 , &H01 , &H81 , &H81 , &H00 , &H00 , &H00 , &H00 , &HCC , &H81 , &H00 , &H7E , &HBD , &H0C , &H60 , &HC3 , &H66 , &HB1 , &HC0 , &HEF , &HC3 , &H81 , &HC3 , &H00 , &H00 , &H00 , &H00 , &HEF , &H01 ; &H1F
Data &H00 , &H03 , &H00 , &HC6 , &H8F , &HCC , &HCD , &H00 , &H81 , &H03 , &H00 , &H00 , &H83 , &H00 , &H83 , &H0C , &H6C , &H03 , &HCC , &HCC , &HC0 , &HCC , &HCC , &H03 , &HCC , &H03 , &H83 , &H83 , &H81 , &H00 , &H03 , &H03 ; &H3F
Data &H0C , &HCC , &H66 , &H66 , &HC6 , &H26 , &H06 , &H66 , &HCC , &H03 , &HCC , &H66 , &H66 , &H6C , &H6C , &HC6 , &H06 , &HC7 , &H66 , &HCC , &H03 , &HCC , &H87 , &HC6 , &HCC , &H03 , &H6C , &H03 , &H60 , &HC0 , &H00 , &H00 ; &H5F
Data &H00 , &HCC , &H66 , &HCC , &HCC , &HCC , &H06 , &HC7 , &H66 , &H81 , &HC0 , &H66 , &H81 , &H6D , &HCC , &HCC , &H66 , &HCC , &H06 , &HCC , &HC6 , &HCC , &H87 , &HC6 , &HC6 , &HC3 , &H4C , &H03 , &H81 , &H03 , &H00 , &HEF ; &H7F
Data &HCC , &HCC , &HCC , &HCC , &HCC , &HCC , &HCC , &HCC , &H0C , &H0C , &H0C , &H81 , &H81 , &H81 , &HCC , &HCC , &H4C , &H8D , &H8D , &HCC , &HCC , &HCC , &HCC , &HCC , &HC3 , &HCC , &HCC , &HCC , &H0C , &HC6 , &HC6 , &H8D ; &H9F
Data &HCC , &H81 , &HCC , &HCC , &HCC , &H6C , &H00 , &H00 , &HCC , &H44 , &HC0 , &H68 , &H3B , &H87 , &H66 , &H66 , &H94 , &H55 , &H6B , &H81 , &H81 , &HCC , &HCC , &HCC , &H44 , &H66 , &H66 , &H66 , &H00 , &H87 , &H03 , &H81 ; &HBF
Data &H00 , &H00 , &H81 , &H81 , &H00 , &H81 , &HCC , &HCC , &H00 , &H66 , &H00 , &H66 , &H66 , &H00 , &H66 , &HC7 , &H6C , &HC6 , &H4C , &H4C , &H4C , &H00 , &H03 , &H03 , &H03 , &H00 , &H81 , &HFF , &HFF , &H81 , &H03 , &H00 ; &HDF
Data &HCC , &H8F , &HCC , &HCC , &HCC , &HCC , &H66 , &H06 , &H06 , &HCC , &HCC , &HCC , &HC3 , &H03 , &H00 , &H00 , &H00 , &HCF , &H8F , &H3B , &HB1 , &HC0 , &H03 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &HCF , &H00 ; &HFF

Data &H00 , &HE7 , &HE7 , &H01 , &H00 , &HE7 , &HE7 , &H00 , &H00 , &H00 , &H00 , &H87 , &H81 , &H00 , &H6E , &H81 , &H08 , &H20 , &H81 , &H66 , &HB1 , &H6C , &HEF , &H81 , &H81 , &H81 , &H00 , &H00 , &H00 , &H00 , &HEF , &H01 ; &H1F
Data &H00 , &H03 , &H00 , &HC6 , &H03 , &HC8 , &H67 , &H00 , &HC0 , &H06 , &H00 , &H00 , &H83 , &H00 , &H83 , &H08 , &HC7 , &HCF , &HCF , &H87 , &HE1 , &H87 , &H87 , &H03 , &H87 , &H07 , &H00 , &H81 , &HC0 , &H00 , &H06 , &H03 ; &H3F
Data &HC7 , &HCC , &HCF , &HC3 , &H8F , &HEF , &H0F , &HE3 , &HCC , &H87 , &H87 , &H6E , &HEF , &H6C , &H6C , &H83 , &H0F , &HC0 , &H6E , &H87 , &H87 , &H87 , &H03 , &HC6 , &HCC , &H87 , &HEF , &HC3 , &H20 , &HC3 , &H00 , &H00 ; &H5F
Data &H00 , &H67 , &HCD , &H87 , &H67 , &H87 , &H0F , &HC0 , &H6E , &HE7 , &HCC , &H6E , &HE7 , &H6C , &HCC , &H87 , &HC7 , &HC7 , &H0F , &H87 , &H83 , &H67 , &H03 , &HC6 , &H6C , &HC0 , &HCF , &HC1 , &H81 , &H0E , &H00 , &H00 ; &H7F
Data &H87 , &H67 , &H87 , &H67 , &H67 , &H67 , &H67 , &H87 , &HC7 , &HC7 , &HC7 , &HE7 , &HE7 , &HE7 , &HCC , &HCC , &HCF , &HFE , &HED , &H87 , &H87 , &H87 , &H67 , &H67 , &HC0 , &H87 , &H87 , &H87 , &HEF , &H8B , &H6C , &H07 ; &H9F
Data &H67 , &HE7 , &H87 , &H67 , &HCC , &H6C , &H00 , &H00 , &H87 , &H83 , &H00 , &HC0 , &HF3 , &H03 , &H33 , &HCC , &H42 , &HAA , &HD6 , &H81 , &H81 , &HCC , &HCC , &HCC , &H83 , &H66 , &H66 , &H66 , &H00 , &H03 , &H03 , &H81 ; &HBF
Data &H00 , &H00 , &H81 , &H81 , &H00 , &H81 , &H67 , &HCC , &H00 , &H66 , &H00 , &H66 , &H66 , &H00 , &H66 , &H6C , &HC7 , &H8F , &HCF , &HCF , &HCF , &H00 , &H87 , &H87 , &H87 , &H00 , &H81 , &HFF , &HFF , &H81 , &H87 , &H00 ; &HDF
Data &H87 , &H0C , &H87 , &H87 , &H87 , &H87 , &HB7 , &H0F , &H0F , &H87 , &H87 , &H87 , &HC0 , &H87 , &H00 , &H00 , &H00 , &H00 , &H00 , &HF3 , &HB1 , &H6C , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &HFF

Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H0C , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &HE7 , &H00 , &HE7 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &H1F
Data &H00 , &H00 , &H00 , &H00 , &H03 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H06 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H03 , &H00 , &H00 , &H00 , &H00 ; &H3F
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &HE1 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &HFF ; &H5F
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &HCC , &H00 , &H00 , &HCC , &H00 , &H00 , &H00 , &H00 , &H00 , &H06 , &HC0 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H81 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &H7F
Data &H03 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H03 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H81 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &H9F
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &HF1 , &H30 , &H00 , &H00 , &H00 , &H29 , &H55 , &HBD , &H81 , &H81 , &H00 , &H00 , &H00 , &H00 , &H66 , &H66 , &H66 , &H00 , &H03 , &H00 , &H81 ; &HBF
Data &H00 , &H00 , &H81 , &H81 , &H00 , &H81 , &H00 , &H00 , &H00 , &H66 , &H00 , &H66 , &H66 , &H00 , &H66 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H81 , &HFF , &HFF , &H00 , &H00 , &H00 ; &HDF
Data &H00 , &H06 , &H00 , &H00 , &H00 , &H00 , &H06 , &H00 , &H00 , &H00 , &H00 , &H00 , &H81 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H30 , &H00 , &HE7 , &H00 , &H03 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &HFF

Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &H1F
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &H3F
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &H5F
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H87 , &H00 , &H00 , &H87 , &H00 , &H00 , &H00 , &H00 , &H00 , &H0F , &HE1 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H0F , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &H7F
Data &H06 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H06 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H0F , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &H9F
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H94 , &HAA , &H6B , &H81 , &H81 , &H00 , &H00 , &H00 , &H00 , &H66 , &H66 , &H66 , &H00 , &H00 , &H00 , &H81 ; &HBF
Data &H00 , &H00 , &H81 , &H81 , &H00 , &H81 , &H00 , &H00 , &H00 , &H66 , &H00 , &H66 , &H66 , &H00 , &H66 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H81 , &HFF , &HFF , &H00 , &H00 , &H00 ; &HDF
Data &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H0C , &H00 , &H00 , &H00 , &H00 , &H00 , &H0F , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H07 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 , &H00 ; &HFF